From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pylint-venv/
Date: Fri, 24 Feb 2023 06:00:24 +0000 (UTC) [thread overview]
Message-ID: <1677215424.1ecb47be2bf800b26fbb2acad96c78b076fdb804.mgorny@gentoo> (raw)
commit: 1ecb47be2bf800b26fbb2acad96c78b076fdb804
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 24 05:10:24 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 24 05:10:24 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ecb47be
dev-python/pylint-venv: Bump to 3.0.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pylint-venv/Manifest | 1 +
dev-python/pylint-venv/pylint-venv-3.0.1.ebuild | 41 +++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-python/pylint-venv/Manifest b/dev-python/pylint-venv/Manifest
index 2fdd8d0ec82e..a37be2b0ff4c 100644
--- a/dev-python/pylint-venv/Manifest
+++ b/dev-python/pylint-venv/Manifest
@@ -1,2 +1,3 @@
DIST pylint-venv-2.3.0.gh.tar.gz 4967 BLAKE2B 7095848b28f1128d44164fecbd1fd1c3694140d8b3818fefcab92aa5a4083608dfc36c96a6c30b117a8592bea0de9b92a537c33f8db4ce8c1285a575d1aa2131 SHA512 c3f9294a137cc6369984cf714196ee0a248471990f2c6e691da86f3048126b99775cc8e9c516c72bd8746d0d814a52387eca165c5f1960aa418ec5abb13a3bed
DIST pylint-venv-3.0.0.gh.tar.gz 14757 BLAKE2B 807b0e6eb7fee32d592fc215a6c4018003078f66c3500ffb9e9769e98e2226554433f2ae33f6480ae4240e8e96b932df23f8ddc3b3dab5bdd54cff3509f9ba48 SHA512 d239919a42f5107de255cc8de0737bbf57798f949f6845cad13da2fa30ded05ad07319b6294d19fe866ea0d533b3a30ba0f064a9c1091ac39ace6d9998f0f5df
+DIST pylint-venv-3.0.1.gh.tar.gz 14901 BLAKE2B e41a0782fe1bdf83b0019c035cb80416838b71924a1574189aa8936a22fce689523984a277305beba49559d0bcdbde9c8b4ac6a9cb12e1a3853a9a3f287a7a57 SHA512 7b6e7be85dd5552c99d620550e602eb908fccb1ef0982e1734276e14f882261ad7c13309ac796e657865544484a275016981e9b75ef31d17d4c01454b7e091a8
diff --git a/dev-python/pylint-venv/pylint-venv-3.0.1.ebuild b/dev-python/pylint-venv/pylint-venv-3.0.1.ebuild
new file mode 100644
index 000000000000..b1d01e98259b
--- /dev/null
+++ b/dev-python/pylint-venv/pylint-venv-3.0.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Init-hook to use the same Pylint with different virtual environments"
+HOMEPAGE="
+ https://pypi.org/project/pylint-venv/
+ https://github.com/jgosmann/pylint-venv/
+"
+SRC_URI="
+ https://github.com/jgosmann/pylint-venv/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/pylint-2.14.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/pylint-2.14.0[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ # we need to set PYTHONPATH explicitly since the test runs installed
+ # pylint (i.e. starts outside the test venv)
+ local -x PYTHONPATH=${S}:${PYTHONPATH}
+ bash test/test.sh || die "Test failed with ${EPYTHON}"
+}
next reply other threads:[~2023-02-24 6:00 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-24 6:00 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-12 17:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/pylint-venv/ Michał Górny
2025-03-09 17:46 Michał Górny
2025-01-02 15:20 Nowa Ammerlaan
2024-10-28 5:12 Michał Górny
2023-12-30 18:32 Michał Górny
2023-11-23 18:55 Michał Górny
2023-11-22 15:25 Andrew Ammerlaan
2023-11-06 13:25 Andrew Ammerlaan
2023-10-25 7:43 Michał Górny
2023-07-24 11:33 Michał Górny
2023-06-13 5:12 Michał Górny
2023-02-23 15:14 Michał Górny
2023-02-23 6:19 Michał Górny
2022-11-07 21:53 Andrew Ammerlaan
2022-11-07 11:29 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1677215424.1ecb47be2bf800b26fbb2acad96c78b076fdb804.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox